package com.leanwo.activiti.dto.base;

import java.util.List;


/**
 * 历史任务信息集合.
 *
 * @author YangZhiJie
 */
public class HistoricTaskInfos {
	/** 历史任务信息. */
	private List<HistoricTaskInfo> historicTaskInfos;
	
	/** 显示范围. */
	private Range range;
	
	/** 任务总数量. */
	private long totalCount;

	/**
	 * Gets the 历史任务信息.
	 *
	 * @return the 历史任务信息
	 */
	public List<HistoricTaskInfo> getHistoricTaskInfos() {
		return historicTaskInfos;
	}

	/**
	 * Sets the 历史任务信息.
	 *
	 * @param historicTaskInfos the new 历史任务信息
	 */
	public void setHistoricTaskInfos(List<HistoricTaskInfo> historicTaskInfos) {
		this.historicTaskInfos = historicTaskInfos;
	}

	/**
	 * Gets the 显示范围.
	 *
	 * @return the 显示范围
	 */
	public Range getRange() {
		return range;
	}

	/**
	 * Sets the 显示范围.
	 *
	 * @param range the new 显示范围
	 */
	public void setRange(Range range) {
		this.range = range;
	}

	/**
	 * Gets the 任务总数量.
	 *
	 * @return the 任务总数量
	 */
	public long getTotalCount() {
		return totalCount;
	}

	/**
	 * Sets the 任务总数量.
	 *
	 * @param totalCount the new 任务总数量
	 */
	public void setTotalCount(long totalCount) {
		this.totalCount = totalCount;
	}
	
	
}
